### Signal

# Meta Display::show-pad-osd

#### Declaration

    ClutterActor*
    show_pad_osd (
      MetaDisplay* self,
      ClutterInputDevice* pad,
      GSettings* settings,
      gchar* layout_path,
      gboolean edition_mode,
      gint monitor_idx,
      gpointer user_data
    )

#### Description [src]

Requests the pad button mapping OSD to be shown.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`pad`

  Type: `ClutterInputDevice`

  The pad device.

  The data is owned by the caller of the function.

`settings`

  Type: `GSettings`

  The pad device settings.

  The data is owned by the caller of the function.

`layout_path`

  Type: `gchar*`

  Path to the layout image.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`edition_mode`

  Type: `gboolean`

  Whether the OSD should be shown in edition mode.

`monitor_idx`

  Type: `gint`

  Monitor to show the OSD on.

#### Return value

Type: `ClutterActor`

The OSD actor.

The data is owned by the called function.
The return value can be `NULL`.